Skip to main content
POST
/
dca
/
trigger
curl --request POST \
  --url 'https://api.brightdata.com/dca/trigger?collector=c_abc123' \
  --header "Authorization: Bearer YOUR_API_KEY" \
  --header "Content-Type: application/json" \
  --data '[{"url": "https://example.com/product/1"}]'
{
  "collection_id": "ID_DATASET",
  "start_eta": "2021-11-07T13:26:22.702Z"
}

Authorizations

Authorization
string
header
required

Use your Bright Data API Key as a Bearer token in the Authorization header.

How to authenticate:

  1. Obtain your API Key from the Bright Data account settings at https://brightdata.com/cp/setting/users
  2. Include the API Key in the Authorization header of your requests
  3. Format: Authorization: Bearer YOUR_API_KEY

Example:

Authorization: Bearer b5648e1096c6442f60a6c4bbbe73f8d2234d3d8324554bd6a7ec8f3f251f07df

Learn how to get your Bright Data API key: https://docs.brightdata.com/api-reference/authentication

Query Parameters

collector
string
required

A unique identification of scraper

version
string

Set to dev to trigger the development version of the scraper

name
string

human_name - A human readable name for the batch

queue_next
integer
default:1

If there's already something in the crawl queue, push this job into the queue

queue
string

Send another batch of requests that will start after the last one is finished

confirm_cancel
integer
default:1

Cancel running job and run instead, submit the request and cancel running one

no_downloads
integer
default:1

Disable media file download

deadline
string

Set job time deadline, job will be terminated after specified time. h for hours, m for minutes, s for seconds.

Body

application/json
url
string<uri>

Response

200 - application/json

OK